%define name tuxsaver
%define version 0.9
%define release 2mdk


Summary:   TuxSaver
Name:      %name
Version:   %version
Release:   %release
License: GPL
Url:       http://www.esat.kuleuven.ac.be/~kmuylken/tuxsaver/
Group:     Graphical desktop/KDE
Source:    %name-%version.tar.bz2
Patch0:	   tuxsaver-disable-menu.patch.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot 
BuildRequires: kdelibs-devel

%description
TuxSaver is a 3D screensaver for KDE 3.x
It show the life of tux living on an iceberg on the southpole.
It is possible to develop your own stories and objects. Please read 
the howto in the setupdialogbox for instructions.

%prep

%setup -q

%patch0 -p 1

CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
		--prefix=%{prefix} --libdir=%_libdir \
		--disable-debug --disable-rpath \
                $LOCALFLAGS


%build

%make

%install

%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_libdir}/menu
cat << EOF > $RPM_BUILD_ROOT%{_libdir}/menu/tuxsaver
?package(tuxsaver): needs="x11" kde_filename="tuxsaverscreensaver" longtitle="TuxSaver screensaver for KDE" section="Amusement/Other" title="TuxSaver (GL)" icon="other_amusement.png" command="tuxsaver" kde_opt="\\\nActions=Setup;InWindow;Root\\\n[Desktop Action Setup]\\\nExec=tuxsaver -setup\\\nName=Setup...\\\nIcon=kscreensaver\\\n[Desktop Action InWindow]\\\nExec=tuxsaver -window-id %w\\\nName=Display in specified window\\\nNoDisplay=true\\\n[Desktop Action Root]\\\nExec=tuxsaver -root\\\nName=Display in root window\\\nNoDisplay=true"
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir/*
%_datadir/apps/%name
%_docdir/HTML/en/%name
%_iconsdir/hicolor/48x48/apps/*
%_iconsdir/hicolor/64x64/apps/*
%_iconsdir/locolor/16x16/apps/*
%_iconsdir/locolor/32x32/apps/*
%_datadir/applnk/System/ScreenSavers/* 
%_menudir/*

%changelog
* Thu Sep 25 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9-2mdk
- fix buildrequires

* Wed Sep 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9-1mdk
- new
